L = $(tlag)
ifndef L
    L = 12 
endif

VERB=0

EW05 = /net/server/ohad/dat/EW0210/EW0210_05.H
ew05pow = 2.


# eps is the symmetry regularization, eps1 is the filter length regularization
eps_m = eps=5e+5 eps1=4e+5 lagramp=6
eps_l = eps=0e+5 eps1=5e+5 lagramp=6

eps_s  = eps=5e+5 eps1=4e+5 lagramp=6
eps_g  = eps=1e+7 eps1=1e+7 lagramp=6
eps_g2 = eps=1e+8 eps1=1e+8 lagramp=6
#eps_s = eps=0. eps1=0. lagramp=6
#eps_g = eps=0. eps1=0. lagramp=6
#eps_g2 = eps=0. eps1=0. lagramp=6

# these values are good for the middle offset
#eps = eps=1e+6 eps1=1e+4 and lag of 7

greyew05s = min1=0.35 max1=1.5
greyew05m = min1=1.3 max1=2.45
greyew05l = min1=2.1 max1=3.254
greyew05all = min1=0.45 max1=3.254
greyew05g = min1=0.35 max1=1.5


EW05_SHOTLABEL = "labels=clipped shot waveform where data gained BEFORE decon lag=$L : clipped shot waveform where data gained AFTER decon lag=$L : shot waveform where data gained AFTER decon lag=$L"

# short, intermediate and long offset sections.
${D}/EW05_short.H: ${EW05}
	Window3d < $< min3=-55000 min2=-190 max2=-180.5 ${greyew05s} > $@

${D}/EW05_mid.H: ${EW05}
	Window3d < $< min3=-55000 min2=-2000 max2=-1990 ${greyew05m} > $@

${D}/EW05_long.H: ${EW05}
	Window3d < $< min3=-55000 min2=-4000 max2=-3990 ${greyew05l} > $@

${D}/EW05_group.H: ${EW05}
	Window3d < $< min3=-55000 min2=-381 max2=-180.5 ${greyew05g} | Transp plane=23 > $@

${D}/EW05_group2.H: ${EW05}
	Window3d < $< min3=-55000 min2=-1181 max2=-180.5 ${greyew05g} | Transp plane=23 > $@

${D}/EW05_mask.H:
	Vel n1=288 n2=1149 n3=1 o1=0.348 d1=0.004 o2=0. d2=1. d3=1. vc=0 \
	z1=0.45 vr1=1. const1=1 \
	z2=1.4 vr2=0. const2=1 | Smooth rect1=3 repeat=4 > $@

EW05s = ${D}/EW05_short.H
EW05m = ${D}/EW05_mid.H
EW05l = ${D}/EW05_long.H
EW05g = ${D}/EW05_group.H
EW05g2 = ${D}/EW05_group2.H
EW05mask = ${D}/EW05_mask.H

${R}/EW05_offsets.v: ${D}/EW05_short.H ${D}/EW05_mid.H ${D}/EW05_long.H
	Grey < ${D}/EW05_short.H title="common offset = 180m"  label1="time (sec)" label2="X (m)" ${greyew05all} out=${R}/1.v > ${dn}
	Grey < ${D}/EW05_mid.H   title="common offset = 2000m" label1="time (sec)" label2="X (m)" ${greyew05all} out=${R}/2.v > ${dn}
	Grey < ${D}/EW05_long.H  title="common offset = 4000m" label1="time (sec)" label2="X (m)" ${greyew05all} out=${R}/3.v > ${dn}
	vp_SideBySideAniso ${R}/1.v ${R}/2.v ${R}/3.v > $@
	Grey < ${D}/EW05_short.H title="common offset = 180m"  label1="time (sec)" label2="X (m)" ${greyew05s} out=${R}/1.v > ${dn}
	Grey < ${D}/EW05_mid.H   title="common offset = 2000m" label1="time (sec)" label2="X (m)" ${greyew05m} out=${R}/2.v > ${dn}
	Grey < ${D}/EW05_long.H  title="common offset = 4000m" label1="time (sec)" label2="X (m)" ${greyew05l} out=${R}/3.v > ${dn}
	vp_Movie ${R}/1.v ${R}/2.v ${R}/3.v > $@3
	rm ${R}/[123].v

# ocean-bottom reflection wavelet
${R}/EW05-ob.v: ${D}/EW05_short.H ${D}/EW05_mid.H ${D}/EW05_long.H
	Window3d min2=-44600 n2=1 min1=0.694 n1=12 < ${D}/EW05_short.H > ${D}/short.H
	Window3d min2=-44600 n2=1 min1=1.500 n1=12 < ${D}/EW05_mid.H   > ${D}/mid.H
	Window3d min2=-22300 n2=1 min1=2.708 n1=12 < ${D}/EW05_long.H  > ${D}/long.H
	Merge ${D}/short.H ${D}/mid.H ${D}/long.H axis=2 space=n | Interp n1out=48 d1out=0.001 | Graph title="comparison of sea-bottom reflection wavelet for different offsets" grid=y d1num=0.008 labelsz=6 legend=y curvelabel="off=180m:off=2000m:off=4000m" legendloc="tr" out=$@ > ${dn}

# show one shot for example
${R}/EW05-1shot.v: ${EW05}
	Window3d < $< min3=-55000 n3=1 max1=3.5 | Grey title="one shot of line 5 in survey EW0210" label1="time (sec)" label2="Offset (m)" out=$@ > ${dn}

${D}/EW05_dir.H: ${EW05}
	Window3d < $< max1=0.7 min2=-1000 > $@

${R}/EW05-dir.v: ${D}/EW05_dir.H
	Window3d < $< n3=1 min3=-110000 j2=10 | Transp | Tpow tpow=1 | Transp | Reverse which=2 | Wiggle transp=y yreverse=1 min2=-1000 max2=100 label1="time (sec)" label2="offset (m)" title="field data: direct arrival vs. offset" out=$@ > ${dn}
	#Window3d < $< n3=1 min3=-110000 j2=10 | Reverse which=2 | Wiggle transp=y yreverse=1 min2=-1000 max2=100 label1="time (sec)" label2="offset (m)" title="field data: direct arrival vs. offset" out=$@ > ${dn}
	#In ${D}/tmp.H | grep n2 | cut -d' ' -f1 | cut -d'=' -f2 > tt
	#Rm ${D}/tmp.H; rm tt

${R}/Compare-dir.v: ${R}/EW05-dir.v ${SYNTH}/${R}/elastic_prop_tests/fig/Compare-dir.v
	vp_SideBySideAniso ${R}/EW05-dir.v ${SYNTH}/${R}/elastic_prop_tests/fig/Compare-dir.v > $@

#=====================================================


#==================================
# run decon 
#==================================

# short offset
${D}/EW05s-t0-perc%-${L}.H: ${EW05s} ${WAVELET}
	Tpow tpow=${ew05pow} < ${EW05s} > ${D}/junk-$*-${L}.H
	${LOGDECOBFGS} < ${D}/junk-$*-${L}.H niter=300  percentile=$* t2=0 ${eps_s} lag=${L} \
	filter=${D}/fltEW05s-t0-perc$*-${L}.H verb=${VERB} > ${D}/deconEW05s-t0-perc$*-${L}.H
	${WAVELETCOMP} < ${D}/fltEW05s-t0-perc$*-${L}.H > $@

${D}/EW05s-t2-perc%-${L}.H: ${EW05s} ${WAVELET}
	${LOGDECOBFGS} < ${EW05s} niter=300 percentile=$* t2=${ew05pow} ${eps_s} lag=${L} \
	filter=${D}/fltEW05s-t2-perc$*-${L}.H verb=${VERB} > ${D}/deconEW05s-t2-perc$*-${L}.H
	${WAVELETCOMP} < ${D}/fltEW05s-t2-perc$*-${L}.H > $@

# middle offset
${D}/EW05m-t0-perc%-${L}.H: ${EW05m} ${WAVELET}
	Tpow tpow=${ew05pow} < ${EW05m} > ${D}/junk-$*-${L}.H
	${LOGDECOBFGS} < ${D}/junk-$*-${L}.H niter=300  percentile=$* t2=0 ${eps_m} lag=${L} \
	filter=${D}/fltEW05m-t0-perc$*-${L}.H verb=${VERB} > ${D}/deconEW05m-t0-perc$*-${L}.H
	${WAVELETCOMP} < ${D}/fltEW05m-t0-perc$*-${L}.H > $@

${D}/EW05m-t2-perc%-${L}.H: ${EW05m} ${WAVELET}
	${LOGDECOBFGS} < ${EW05m} niter=300 percentile=$* t2=${ew05pow} ${eps_m} lag=${L} \
	filter=${D}/fltEW05m-t2-perc$*-${L}.H verb=${VERB} > ${D}/deconEW05m-t2-perc$*-${L}.H
	${WAVELETCOMP} < ${D}/fltEW05m-t2-perc$*-${L}.H > $@

# long offset
${D}/EW05l-t0-perc%-${L}.H: ${EW05l} ${WAVELET}
	Tpow tpow=${ew05pow} < ${EW05l} > ${D}/junk-$*-${L}.H
	${LOGDECOBFGS} < ${D}/junk-$*-${L}.H niter=300  percentile=$* t2=0 ${eps_l} lag=${L} \
	filter=${D}/fltEW05l-t0-perc$*-${L}.H verb=${VERB} > ${D}/deconEW05l-t0-perc$*-${L}.H
	${WAVELETCOMP} < ${D}/fltEW05l-t0-perc$*-${L}.H > $@

${D}/EW05l-t2-perc%-${L}.H: ${EW05l} ${WAVELET}
	${LOGDECOBFGS} < ${EW05l} niter=300 percentile=$* t2=${ew05pow} ${eps_l} lag=${L} \
	filter=${D}/fltEW05l-t2-perc$*-${L}.H verb=${VERB} > ${D}/deconEW05l-t2-perc$*-${L}.H
	${WAVELETCOMP} < ${D}/fltEW05l-t2-perc$*-${L}.H > $@

# short offset group
${D}/EW05g-t0-perc%-${L}.H: ${EW05g} ${WAVELET}
	Tpow tpow=${ew05pow} < ${EW05g} > ${D}/junk-$*-${L}.H
	${LOGDECOBFGS} < ${D}/junk-$*-${L}.H niter=300  percentile=$* t2=0 ${eps_g} lag=${L} \
	filter=${D}/fltEW05g-t0-perc$*-${L}.H verb=${VERB} > ${D}/deconEW05g-t0-perc$*-${L}-group.H
	Window3d < ${D}/deconEW05g-t0-perc$*-${L}-group.H min3=-190 n3=1 > ${D}/deconEW05g-t0-perc$*-${L}.H
	${WAVELETCOMP} < ${D}/fltEW05g-t0-perc$*-${L}.H > $@

${D}/EW05g-t2-perc%-${L}.H: ${EW05g} ${WAVELET}
	${LOGDECOBFGS} < ${EW05g} niter=300 percentile=$* t2=${ew05pow} ${eps_g} lag=${L} \
	filter=${D}/fltEW05g-t2-perc$*-${L}.H verb=${VERB} > ${D}/deconEW05g-t2-perc$*-${L}-group.H
	Window3d < ${D}/deconEW05g-t2-perc$*-${L}-group.H min3=-190 n3=1 > ${D}/deconEW05g-t2-perc$*-${L}.H
	${WAVELETCOMP} < ${D}/fltEW05g-t2-perc$*-${L}.H > $@

# short offset group 2
${D}/EW05g2-t0-perc%-${L}.H: ${EW05g2} ${WAVELET}
	Tpow tpow=${ew05pow} < ${EW05g2} > ${D}/junk-$*-${L}.H
	${LOGDECOBFGS} < ${D}/junk-$*-${L}.H niter=300  percentile=$* t2=0 ${eps_g2} lag=${L} \
	filter=${D}/fltEW05g2-t0-perc$*-${L}.H verb=${VERB} > ${D}/deconEW05g2-t0-perc$*-${L}-group.H
	Window3d < ${D}/deconEW05g2-t0-perc$*-${L}-group.H min3=-190 n3=1 > ${D}/deconEW05g2-t0-perc$*-${L}.H
	${WAVELETCOMP} < ${D}/fltEW05g2-t0-perc$*-${L}.H > $@

${D}/EW05g2-t2-perc%-${L}.H: ${EW05g2} ${WAVELET}
	${LOGDECOBFGS} < ${EW05g2} niter=300 percentile=$* t2=${ew05pow} ${eps_g2} lag=${L} \
	filter=${D}/fltEW05g2-t2-perc$*-${L}.H verb=${VERB} > ${D}/deconEW05g2-t2-perc$*-${L}-group.H
	Window3d < ${D}/deconEW05g2-t2-perc$*-${L}-group.H min3=-190 n3=1 > ${D}/deconEW05g2-t2-perc$*-${L}.H
	${WAVELETCOMP} < ${D}/fltEW05g2-t2-perc$*-${L}.H > $@

#==================================
# decon figures
#==================================

#==== Compare input to deconed output

# short offset
${R}/Comp-EW05s-perc%-${L}.v: ${EW05s} ${D}/EW05s-t0-perc%-${L}.H ${D}/EW05s-t2-perc%-${L}.H 
	Tpow < ${EW05s} tpow=${ew05pow} | Grey ${titlep} ${greyew05s} title="Gained short offset" out=${R}/1.v > ${dn}
	Grey < ${D}/deconEW05s-t0-perc$*-${L}.H ${greyew05s} ${titlep} title="Gained input deconed short offset lag=${L}"  out=${R}/2.v > ${dn}
	Tpow < ${D}/deconEW05s-t2-perc$*-${L}.H tpow=${ew05pow} | Grey ${titlep} ${greyew05s} title="Gained output deconed short offset lag=${L}" out=${R}/3.v > ${dn}
	vp_SideBySideAniso ${R}/1.v ${R}/2.v ${R}/3.v >  $@
	vp_Movie ${R}/1.v ${R}/2.v ${R}/3.v > $@3
	rm ${R}/[123].v

# middle offset
${R}/Comp-EW05m-perc%-${L}.v: ${EW05m} ${D}/EW05m-t0-perc%-${L}.H ${D}/EW05m-t2-perc%-${L}.H 
	Tpow < ${EW05m} tpow=${ew05pow} | Grey ${titlep} ${greyew05m} title="Gained mid offset" out=${R}/1.v > ${dn}
	Grey < ${D}/deconEW05m-t0-perc$*-${L}.H ${greyew05m} ${titlep} title="Gained input deconed mid offset lag=${L}"  out=${R}/2.v > ${dn}
	Tpow < ${D}/deconEW05m-t2-perc$*-${L}.H tpow=${ew05pow} | Grey ${titlep} ${greyew05m} title="Gained output deconed mid offset lag=${L}" out=${R}/3.v > ${dn}
	vp_SideBySideAniso ${R}/1.v ${R}/2.v ${R}/3.v >  $@
	vp_Movie ${R}/1.v ${R}/2.v ${R}/3.v > $@3
	rm ${R}/[123].v

# long offset
${R}/Comp-EW05l-perc%-${L}.v: ${EW05l} ${D}/EW05l-t0-perc%-${L}.H ${D}/EW05l-t2-perc%-${L}.H 
	Tpow < ${EW05l} tpow=${ew05pow} | Grey ${titlep} ${greyew05l} title="Gained long offset" out=${R}/1.v > ${dn}
	Grey < ${D}/deconEW05l-t0-perc$*-${L}.H ${greyew05l} ${titlep} title="Gained input deconed long offset lag=${L}"  out=${R}/2.v > ${dn}
	Tpow < ${D}/deconEW05l-t2-perc$*-${L}.H tpow=${ew05pow} | Grey ${titlep} ${greyew05l} title="Gained output deconed long offset lag=${L}" out=${R}/3.v > ${dn}
	vp_SideBySideAniso ${R}/1.v ${R}/2.v ${R}/3.v >  $@
	vp_Movie ${R}/1.v ${R}/2.v ${R}/3.v > $@3
	rm ${R}/[123].v

# short offset group
${R}/Comp-EW05g-perc%-${L}.v: ${EW05g} ${D}/EW05g-t0-perc%-${L}.H ${D}/EW05g-t2-perc%-${L}.H 
	Window3d < ${EW05g} min3=-190 n3=1 | Tpow tpow=${ew05pow} | Grey ${titlep} ${greyew05g} title="Gained short offset group" out=${R}/1.v > ${dn}
	Grey < ${D}/deconEW05g-t0-perc$*-${L}.H ${greyew05g} ${titlep} title="Gained input deconed short group offset lag=${L}"  out=${R}/2.v > ${dn}
	Tpow < ${D}/deconEW05g-t2-perc$*-${L}.H tpow=${ew05pow} | Grey ${titlep} ${greyew05g} title="Gained output deconed short offset group lag=${L}" out=${R}/3.v > ${dn}
	vp_SideBySideAniso ${R}/1.v ${R}/2.v ${R}/3.v >  $@
	vp_Movie ${R}/1.v ${R}/2.v ${R}/3.v > $@3
	rm ${R}/[123].v

# short offset group 2
${R}/Comp-EW05g2-perc%-${L}.v: ${EW05g2} ${D}/EW05g2-t0-perc%-${L}.H ${D}/EW05g2-t2-perc%-${L}.H 
	Window3d < ${EW05g2} min3=-190 n3=1 | Tpow tpow=${ew05pow} | Grey ${titlep} ${greyew05g} title="Gained short offset group2" out=${R}/1.v > ${dn}
	Grey < ${D}/deconEW05g2-t0-perc$*-${L}.H ${greyew05g} ${titlep} title="Gained input deconed short group2 offset lag=${L}"  out=${R}/2.v > ${dn}
	Tpow < ${D}/deconEW05g2-t2-perc$*-${L}.H tpow=${ew05pow} | Grey ${titlep} ${greyew05g} title="Gained output deconed short offset group2 lag=${L}" out=${R}/3.v > ${dn}
	vp_SideBySideAniso ${R}/1.v ${R}/2.v ${R}/3.v >  $@
	vp_Movie ${R}/1.v ${R}/2.v ${R}/3.v > $@3
	rm ${R}/[123].v


#==== Compare shot waveforms

# short offset
${R}/EW05s-perc%-${L}.v: ${D}/EW05s-t0-perc%-${L}.H ${D}/EW05s-t2-perc%-${L}.H ${B}/ScaleAndClip.x
	cp ${D}/EW05s-t2-perc$*-${L}.H ${D}/junk1-$*-${L}.H
	cp ${D}/EW05s-t2-perc$*-${L}.H ${D}/junk2-$*-${L}.H
	cp ${D}/EW05s-t0-perc$*-${L}.H  ${D}/junk3-$*-${L}.H
	Cat3d ${D}/junk1-$*-${L}.H ${D}/junk2-$*-${L}.H ${D}/junk3-$*-${L}.H | Window3d > ${D}/junk-$*-${L}.H
	< ${D}/junk-$*-${L}.H ${B}/ScaleAndClip.x scale=3 | Reverse which=2 > ${D}/EW05s-shot-perc$*-${L}.H
	Dots strings=0 < ${D}/EW05s-shot-perc$*-${L}.H ${EW05_SHOTLABEL} gaineach=0 out=$@ > ${dn}

# middle offset
${R}/EW05m-perc%-${L}.v: ${D}/EW05m-t0-perc%-${L}.H ${D}/EW05m-t2-perc%-${L}.H ${B}/ScaleAndClip.x
	cp ${D}/EW05m-t2-perc$*-${L}.H ${D}/junk1-$*-${L}.H
	cp ${D}/EW05m-t2-perc$*-${L}.H ${D}/junk2-$*-${L}.H
	cp ${D}/EW05m-t0-perc$*-${L}.H  ${D}/junk3-$*-${L}.H
	Cat3d ${D}/junk1-$*-${L}.H ${D}/junk2-$*-${L}.H ${D}/junk3-$*-${L}.H | Window3d > ${D}/junk-$*-${L}.H
	< ${D}/junk-$*-${L}.H ${B}/ScaleAndClip.x scale=3 | Reverse which=2 > ${D}/EW05m-shot-perc$*-${L}.H
	Dots strings=0 < ${D}/EW05m-shot-perc$*-${L}.H ${EW05_SHOTLABEL} gaineach=0 out=$@ > ${dn}

# long offset
${R}/EW05l-perc%-${L}.v: ${D}/EW05l-t0-perc%-${L}.H ${D}/EW05l-t2-perc%-${L}.H ${B}/ScaleAndClip.x
	cp ${D}/EW05l-t2-perc$*-${L}.H ${D}/junk1-$*-${L}.H
	cp ${D}/EW05l-t2-perc$*-${L}.H ${D}/junk2-$*-${L}.H
	cp ${D}/EW05l-t0-perc$*-${L}.H  ${D}/junk3-$*-${L}.H
	Cat3d ${D}/junk1-$*-${L}.H ${D}/junk2-$*-${L}.H ${D}/junk3-$*-${L}.H | Window3d > ${D}/junk-$*-${L}.H
	< ${D}/junk-$*-${L}.H ${B}/ScaleAndClip.x scale=3 | Reverse which=2 > ${D}/EW05l-shot-perc$*-${L}.H
	Dots strings=0 < ${D}/EW05l-shot-perc$*-${L}.H ${EW05_SHOTLABEL} gaineach=0 out=$@ > ${dn}

# short offset group
${R}/EW05g-perc%-${L}.v: ${D}/EW05g-t0-perc%-${L}.H ${D}/EW05g-t2-perc%-${L}.H ${B}/ScaleAndClip.x
	cp ${D}/EW05g-t2-perc$*-${L}.H ${D}/junk1-$*-${L}.H
	cp ${D}/EW05g-t2-perc$*-${L}.H ${D}/junk2-$*-${L}.H
	cp ${D}/EW05g-t0-perc$*-${L}.H  ${D}/junk3-$*-${L}.H
	Cat3d ${D}/junk1-$*-${L}.H ${D}/junk2-$*-${L}.H ${D}/junk3-$*-${L}.H | Window3d > ${D}/junk-$*-${L}.H
	< ${D}/junk-$*-${L}.H ${B}/ScaleAndClip.x scale=3 | Reverse which=2 > ${D}/EW05g-shot-perc$*-${L}.H
	Dots strings=0 < ${D}/EW05g-shot-perc$*-${L}.H ${EW05_SHOTLABEL} gaineach=0 out=$@ > ${dn}

# short offset group 2
${R}/EW05g2-perc%-${L}.v: ${D}/EW05g2-t0-perc%-${L}.H ${D}/EW05g2-t2-perc%-${L}.H ${B}/ScaleAndClip.x
	cp ${D}/EW05g2-t2-perc$*-${L}.H ${D}/junk1-$*-${L}.H
	cp ${D}/EW05g2-t2-perc$*-${L}.H ${D}/junk2-$*-${L}.H
	cp ${D}/EW05g2-t0-perc$*-${L}.H  ${D}/junk3-$*-${L}.H
	Cat3d ${D}/junk1-$*-${L}.H ${D}/junk2-$*-${L}.H ${D}/junk3-$*-${L}.H | Window3d > ${D}/junk-$*-${L}.H
	< ${D}/junk-$*-${L}.H ${B}/ScaleAndClip.x scale=3 | Reverse which=2 > ${D}/EW05g2-shot-perc$*-${L}.H
	Dots strings=0 < ${D}/EW05g2-shot-perc$*-${L}.H ${EW05_SHOTLABEL} gaineach=0 out=$@ > ${dn}

#==== Compare spectra

# short offset
${R}/spec-EW05s-perc%-${L}.v: ${EW05s} ${D}/deconEW05s-t0-perc%-${L}.H ${D}/deconEW05s-t2-perc%-${L}.H
	Spectra < ${EW05s} | Log > ${D}/1.H
	Spectra < ${D}/deconEW05s-t0-perc$*-${L}.H | Log > ${D}/2.H
	Spectra < ${D}/deconEW05s-t2-perc$*-${L}.H | Log > ${D}/3.H
	Merge ${D}/1.H ${D}/2.H ${D}/3.H axis=3 space=n | Grey newclip=1 gainpanel=a color=j title="spectra comparison at short offset" label1="frequency (Hz)" label2="surface location (x)" out=$@ > ${dn}
	Rm ${D}/[123].H

# medium offset
${R}/spec-EW05m-perc%-${L}.v: ${EW05m} ${D}/deconEW05m-t0-perc%-${L}.H ${D}/deconEW05m-t2-perc%-${L}.H
	Spectra < ${EW05m} | Log > ${D}/1.H
	Spectra < ${D}/deconEW05m-t0-perc$*-${L}.H | Log > ${D}/2.H
	Spectra < ${D}/deconEW05m-t2-perc$*-${L}.H | Log > ${D}/3.H
	Merge ${D}/1.H ${D}/2.H ${D}/3.H axis=3 space=n | Grey newclip=1 gainpanel=a color=j title="spectra comparison at mid offset" label1="frequency (Hz)" label2="surface location (x)" out=$@ > ${dn}
	Rm ${D}/[123].H

# long offset
${R}/spec-EW05l-perc%-${L}.v: ${EW05l} ${D}/deconEW05l-t0-perc%-${L}.H ${D}/deconEW05l-t2-perc%-${L}.H
	Spectra < ${EW05l} | Log > ${D}/1.H
	Spectra < ${D}/deconEW05l-t0-perc$*-${L}.H | Log > ${D}/2.H
	Spectra < ${D}/deconEW05l-t2-perc$*-${L}.H | Log > ${D}/3.H
	Merge ${D}/1.H ${D}/2.H ${D}/3.H axis=3 space=n | Grey newclip=1 gainpanel=a color=j title="spectra comparison at long offset" label1="frequency (Hz)" label2="surface location (x)" out=$@ > ${dn}
	Rm ${D}/[123].H

# short offset group
${R}/spec-EW05g-perc%-${L}.v: ${EW05g} ${D}/deconEW05g-t0-perc%-${L}.H ${D}/deconEW05g-t2-perc%-${L}.H
	Window3d < ${EW05g} min3=-190 n3=1 | Spectra | Log > ${D}/1.H
	Spectra < ${D}/deconEW05g-t0-perc$*-${L}.H | Log > ${D}/2.H
	Spectra < ${D}/deconEW05g-t2-perc$*-${L}.H | Log > ${D}/3.H
	Merge ${D}/1.H ${D}/2.H ${D}/3.H axis=3 space=n | Grey newclip=1 gainpanel=a color=j title="spectra comparison, short offset group" label1="frequency (Hz)" label2="surface location (x)" out=$@ > ${dn}
	Rm ${D}/[123].H

# short offset group 2
${R}/spec-EW05g2-perc%-${L}.v: ${EW05g2} ${D}/deconEW05g2-t0-perc%-${L}.H ${D}/deconEW05g2-t2-perc%-${L}.H
	Window3d < ${EW05g2} min3=-190 n3=1 | Spectra | Log > ${D}/1.H
	Spectra < ${D}/deconEW05g2-t0-perc$*-${L}.H | Log > ${D}/2.H
	Spectra < ${D}/deconEW05g2-t2-perc$*-${L}.H | Log > ${D}/3.H
	Merge ${D}/1.H ${D}/2.H ${D}/3.H axis=3 space=n | Grey newclip=1 gainpanel=a color=j title="spectra comparison, short offset group" label1="frequency (Hz)" label2="surface location (x)" out=$@ > ${dn}
	Rm ${D}/[123].H

decon_EW05s:
	Rm ${D}/EW05s-t0-perc50-${L}.H ${D}/EW05s-t2-perc50-${L}.H ${R}/Comp-EW05s-perc50-${L}.v ${R}/EW05s-perc50-${L}.v
	make ${D}/EW05s-t0-perc50-${L}.H ${D}/EW05s-t2-perc50-${L}.H ${R}/Comp-EW05s-perc50-${L}.v ${R}/EW05s-perc50-${L}.v tlag=${L}

decon_EW05m:
	Rm ${D}/EW05m-t0-perc50-${L}.H ${D}/EW05m-t2-perc50-${L}.H ${R}/Comp-EW05m-perc50-${L}.v ${R}/EW05m-perc50-${L}.v
	make ${D}/EW05m-t0-perc50-${L}.H ${D}/EW05m-t2-perc50-${L}.H ${R}/Comp-EW05m-perc50-${L}.v ${R}/EW05m-perc50-${L}.v tlag=${L}

decon_EW05l:
	Rm ${D}/EW05l-t0-perc50-${L}.H ${D}/EW05l-t2-perc50-${L}.H ${R}/Comp-EW05l-perc50-${L}.v ${R}/EW05l-perc50-${L}.v
	make ${D}/EW05l-t0-perc50-${L}.H ${D}/EW05l-t2-perc50-${L}.H ${R}/Comp-EW05l-perc50-${L}.v ${R}/EW05l-perc50-${L}.v tlag=${L}

decon_EW05g:
	Rm ${D}/EW05g-t0-perc50-${L}.H ${D}/EW05g-t2-perc50-${L}.H ${R}/Comp-EW05g-perc50-${L}.v ${R}/EW05g-perc50-${L}.v
	make ${D}/EW05g-t0-perc50-${L}.H ${D}/EW05g-t2-perc50-${L}.H ${R}/Comp-EW05g-perc50-${L}.v ${R}/EW05g-perc50-${L}.v tlag=${L}

decon_EW05g2:
	Rm ${D}/EW05g2-t0-perc50-${L}.H ${D}/EW05g2-t2-perc50-${L}.H ${R}/Comp-EW05g2-perc50-${L}.v ${R}/EW05g2-perc50-${L}.v
	make ${D}/EW05g2-t0-perc50-${L}.H ${D}/EW05g2-t2-perc50-${L}.H ${R}/Comp-EW05g2-perc50-${L}.v ${R}/EW05g2-perc50-${L}.v tlag=${L}

#########################################
# try a lot of different values of tlag
#########################################

######################
# short offset
######################
decon_EW05s_t2_testlags:
	 Rm ${D}/EW05s-t2-perc50-2.H ${D}/EW05s-t2-perc50-4.H ${D}/EW05s-t2-perc50-6.H ${D}/EW05s-t2-perc50-8.H ${D}/EW05s-t2-perc50-10.H ${D}/EW05s-t2-perc50-12.H ${D}/EW05s-t2-perc50-14.H ${D}/EW05s-t2-perc50-16.H ${D}/EW05s-t2-perc50-18.H ${D}/EW05s-t2-perc50-20.H ${D}/EW05s-t2-perc50-22.H ${D}/EW05s-t2-perc50-24.H ${D}/EW05s-t2-perc50-26.H ${D}/EW05s-t2-perc50-28.H ${D}/EW05s-t2-perc50-30.H ${D}/EW05s-t2-perc50-testlags.H ${D}/deconEW05s-t2-perc50-testlags.H
	 make ${D}/EW05s-t2-perc50-2.H tlag=2 &
	 make ${D}/EW05s-t2-perc50-4.H tlag=4 &
	 make ${D}/EW05s-t2-perc50-6.H tlag=6 &
	 make ${D}/EW05s-t2-perc50-8.H tlag=8 &
	 make ${D}/EW05s-t2-perc50-10.H tlag=10 &
	 make ${D}/EW05s-t2-perc50-12.H tlag=12 &
	 make ${D}/EW05s-t2-perc50-14.H tlag=14 &
	 make ${D}/EW05s-t2-perc50-16.H tlag=16 &
	 make ${D}/EW05s-t2-perc50-18.H tlag=18 &
	 make ${D}/EW05s-t2-perc50-20.H tlag=20 &
	 make ${D}/EW05s-t2-perc50-22.H tlag=22 &
	 make ${D}/EW05s-t2-perc50-24.H tlag=24
	 make ${D}/EW05s-t2-perc50-26.H tlag=26
	 make ${D}/EW05s-t2-perc50-28.H tlag=28
	 make ${D}/EW05s-t2-perc50-30.H tlag=30
	 Merge ${D}/EW05s-t2-perc50-2.H ${D}/EW05s-t2-perc50-4.H ${D}/EW05s-t2-perc50-6.H ${D}/EW05s-t2-perc50-8.H ${D}/EW05s-t2-perc50-10.H ${D}/EW05s-t2-perc50-12.H ${D}/EW05s-t2-perc50-14.H ${D}/EW05s-t2-perc50-16.H ${D}/EW05s-t2-perc50-18.H ${D}/EW05s-t2-perc50-20.H ${D}/EW05s-t2-perc50-22.H ${D}/EW05s-t2-perc50-24.H ${D}/EW05s-t2-perc50-26.H ${D}/EW05s-t2-perc50-28.H ${D}/EW05s-t2-perc50-30.H axis=3 space=n > ${D}/EW05s-t2-perc50-testlags.H
	echo "o3=2" >> ${D}/EW05s-t2-perc50-testlags.H
	echo "d3=2" >> ${D}/EW05s-t2-perc50-testlags.H
	 Merge ${D}/EW05_short.H ${D}/deconEW05s-t2-perc50-2.H ${D}/deconEW05s-t2-perc50-4.H ${D}/deconEW05s-t2-perc50-6.H ${D}/deconEW05s-t2-perc50-8.H ${D}/deconEW05s-t2-perc50-10.H ${D}/deconEW05s-t2-perc50-12.H ${D}/deconEW05s-t2-perc50-14.H ${D}/deconEW05s-t2-perc50-16.H ${D}/deconEW05s-t2-perc50-18.H ${D}/deconEW05s-t2-perc50-20.H ${D}/deconEW05s-t2-perc50-22.H ${D}/deconEW05s-t2-perc50-24.H ${D}/deconEW05s-t2-perc50-26.H ${D}/deconEW05s-t2-perc50-28.H ${D}/deconEW05s-t2-perc50-30.H axis=3 space=n > ${D}/deconEW05s-t2-perc50-testlags.H
	echo "o3=0" >> ${D}/deconEW05s-t2-perc50-testlags.H
	echo "d3=2" >> ${D}/deconEW05s-t2-perc50-testlags.H

decon_EW05s_t0_testlags:
	 Rm ${D}/EW05s-t0-perc50-2.H ${D}/EW05s-t0-perc50-4.H ${D}/EW05s-t0-perc50-6.H ${D}/EW05s-t0-perc50-8.H ${D}/EW05s-t0-perc50-10.H ${D}/EW05s-t0-perc50-12.H ${D}/EW05s-t0-perc50-14.H ${D}/EW05s-t0-perc50-16.H ${D}/EW05s-t0-perc50-18.H ${D}/EW05s-t0-perc50-20.H ${D}/EW05s-t0-perc50-22.H ${D}/EW05s-t0-perc50-24.H ${D}/EW05s-t0-perc50-26.H ${D}/EW05s-t0-perc50-28.H ${D}/EW05s-t0-perc50-30.H ${D}/EW05s-t0-perc50-testlags.H ${D}/deconEW05s-t0-perc50-testlags.H
	 make ${D}/EW05s-t0-perc50-2.H tlag=2 &
	 make ${D}/EW05s-t0-perc50-4.H tlag=4 &
	 make ${D}/EW05s-t0-perc50-6.H tlag=6 &
	 make ${D}/EW05s-t0-perc50-8.H tlag=8 &
	 make ${D}/EW05s-t0-perc50-10.H tlag=10 &
	 make ${D}/EW05s-t0-perc50-12.H tlag=12 &
	 make ${D}/EW05s-t0-perc50-14.H tlag=14 &
	 make ${D}/EW05s-t0-perc50-16.H tlag=16 &
	 make ${D}/EW05s-t0-perc50-18.H tlag=18 &
	 make ${D}/EW05s-t0-perc50-20.H tlag=20 &
	 make ${D}/EW05s-t0-perc50-22.H tlag=22 &
	 make ${D}/EW05s-t0-perc50-24.H tlag=24
	 make ${D}/EW05s-t0-perc50-26.H tlag=26
	 make ${D}/EW05s-t0-perc50-28.H tlag=28
	 make ${D}/EW05s-t0-perc50-30.H tlag=30
	 Merge ${D}/EW05s-t0-perc50-2.H ${D}/EW05s-t0-perc50-4.H ${D}/EW05s-t0-perc50-6.H ${D}/EW05s-t0-perc50-8.H ${D}/EW05s-t0-perc50-10.H ${D}/EW05s-t0-perc50-12.H ${D}/EW05s-t0-perc50-14.H ${D}/EW05s-t0-perc50-16.H ${D}/EW05s-t0-perc50-18.H ${D}/EW05s-t0-perc50-20.H ${D}/EW05s-t0-perc50-22.H ${D}/EW05s-t0-perc50-24.H ${D}/EW05s-t0-perc50-26.H ${D}/EW05s-t0-perc50-28.H ${D}/EW05s-t0-perc50-30.H axis=3 space=n > ${D}/EW05s-t0-perc50-testlags.H
	echo "o3=2" >> ${D}/EW05s-t0-perc50-testlags.H
	echo "d3=2" >> ${D}/EW05s-t0-perc50-testlags.H
	 Merge ${D}/EW05_short.H ${D}/deconEW05s-t0-perc50-2.H ${D}/deconEW05s-t0-perc50-4.H ${D}/deconEW05s-t0-perc50-6.H ${D}/deconEW05s-t0-perc50-8.H ${D}/deconEW05s-t0-perc50-10.H ${D}/deconEW05s-t0-perc50-12.H ${D}/deconEW05s-t0-perc50-14.H ${D}/deconEW05s-t0-perc50-16.H ${D}/deconEW05s-t0-perc50-18.H ${D}/deconEW05s-t0-perc50-20.H ${D}/deconEW05s-t0-perc50-22.H ${D}/deconEW05s-t0-perc50-24.H ${D}/deconEW05s-t0-perc50-26.H ${D}/deconEW05s-t0-perc50-28.H ${D}/deconEW05s-t0-perc50-30.H axis=3 space=n > ${D}/deconEW05s-t0-perc50-testlags.H
	echo "o3=0" >> ${D}/deconEW05s-t0-perc50-testlags.H
	echo "d3=2" >> ${D}/deconEW05s-t0-perc50-testlags.H

${R}/EW05s-perc50-testlags.v: ${D}/EW05s-t0-perc50-testlags.H ${D}/EW05s-t2-perc50-testlags.H
	Merge ${D}/EW05s-t0-perc50-testlags.H ${D}/EW05s-t2-perc50-testlags.H axis=2 space=n | Graph min1=-0.4 max1=0.4 min2=-2 max2=2 title="near offset shot waveform by lags" legend=y curvelabel="gain before decon:gain after decon" out=$@ > ${dn}

${R}/deconEW05s-t0-perc50-testlags.v: ${D}/deconEW05s-t0-perc50-testlags.H
	Grey < ${D}/deconEW05s-t0-perc50-testlags.H title="gain before decon of near offset by lags" label1="time (sec)" label2="surface location (m)"  gainpanel=e out=$@ > ${dn}

${R}/deconEW05s-t2-perc50-testlags.v: ${D}/deconEW05s-t2-perc50-testlags.H
	Grey < ${D}/deconEW05s-t0-perc50-testlags.H title="gain after decon of near offset by lags" label1="time (sec)" label2="surface location (m)"  gainpanel=e out=$@ > ${dn}

allEW05s:
	make decon_EW05s_t0_testlags
	make decon_EW05s_t2_testlags
	make fig/EW05s-perc50-testlags.v
	make fig/deconEW05s-t0-perc50-testlags.v
	make fig/deconEW05s-t2-perc50-testlags.v
	Rm ${D}/junk*.H

######################
# middle offset
######################
decon_EW05m_t2_testlags:
	 Rm ${D}/EW05m-t2-perc50-2.H ${D}/EW05m-t2-perc50-4.H ${D}/EW05m-t2-perc50-6.H ${D}/EW05m-t2-perc50-8.H ${D}/EW05m-t2-perc50-10.H ${D}/EW05m-t2-perc50-12.H ${D}/EW05m-t2-perc50-14.H ${D}/EW05m-t2-perc50-16.H ${D}/EW05m-t2-perc50-18.H ${D}/EW05m-t2-perc50-20.H ${D}/EW05m-t2-perc50-22.H ${D}/EW05m-t2-perc50-24.H ${D}/EW05m-t2-perc50-26.H ${D}/EW05m-t2-perc50-28.H ${D}/EW05m-t2-perc50-30.H ${D}/EW05m-t2-perc50-testlags.H ${D}/deconEW05m-t2-perc50-testlags.H
	 make ${D}/EW05m-t2-perc50-2.H tlag=2
	 make ${D}/EW05m-t2-perc50-4.H tlag=4
	 make ${D}/EW05m-t2-perc50-6.H tlag=6
	 make ${D}/EW05m-t2-perc50-8.H tlag=8
	 make ${D}/EW05m-t2-perc50-10.H tlag=10
	 make ${D}/EW05m-t2-perc50-12.H tlag=12
	 make ${D}/EW05m-t2-perc50-14.H tlag=14
	 make ${D}/EW05m-t2-perc50-16.H tlag=16
	 make ${D}/EW05m-t2-perc50-18.H tlag=18
	 make ${D}/EW05m-t2-perc50-20.H tlag=20
	 make ${D}/EW05m-t2-perc50-22.H tlag=22
	 make ${D}/EW05m-t2-perc50-24.H tlag=24
	 make ${D}/EW05m-t2-perc50-26.H tlag=26
	 make ${D}/EW05m-t2-perc50-28.H tlag=28
	 make ${D}/EW05m-t2-perc50-30.H tlag=30
	 Merge ${D}/EW05m-t2-perc50-2.H ${D}/EW05m-t2-perc50-4.H ${D}/EW05m-t2-perc50-6.H ${D}/EW05m-t2-perc50-8.H ${D}/EW05m-t2-perc50-10.H ${D}/EW05m-t2-perc50-12.H ${D}/EW05m-t2-perc50-14.H ${D}/EW05m-t2-perc50-16.H ${D}/EW05m-t2-perc50-18.H ${D}/EW05m-t2-perc50-20.H ${D}/EW05m-t2-perc50-22.H ${D}/EW05m-t2-perc50-24.H ${D}/EW05m-t2-perc50-26.H ${D}/EW05m-t2-perc50-28.H ${D}/EW05m-t2-perc50-30.H axis=3 space=n > ${D}/EW05m-t2-perc50-testlags.H
	echo "o3=2" >> ${D}/EW05m-t2-perc50-testlags.H
	echo "d3=2" >> ${D}/EW05m-t2-perc50-testlags.H
	 Merge ${D}/EW05_mid.H ${D}/deconEW05m-t2-perc50-2.H ${D}/deconEW05m-t2-perc50-4.H ${D}/deconEW05m-t2-perc50-6.H ${D}/deconEW05m-t2-perc50-8.H ${D}/deconEW05m-t2-perc50-10.H ${D}/deconEW05m-t2-perc50-12.H ${D}/deconEW05m-t2-perc50-14.H ${D}/deconEW05m-t2-perc50-16.H ${D}/deconEW05m-t2-perc50-18.H ${D}/deconEW05m-t2-perc50-20.H ${D}/deconEW05m-t2-perc50-22.H ${D}/deconEW05m-t2-perc50-24.H ${D}/deconEW05m-t2-perc50-26.H ${D}/deconEW05m-t2-perc50-28.H ${D}/deconEW05m-t2-perc50-30.H axis=3 space=n > ${D}/deconEW05m-t2-perc50-testlags.H
	echo "o3=0" >> ${D}/deconEW05m-t2-perc50-testlags.H
	echo "d3=2" >> ${D}/deconEW05m-t2-perc50-testlags.H

decon_EW05m_t0_testlags:
	 Rm ${D}/EW05m-t0-perc50-2.H ${D}/EW05m-t0-perc50-4.H ${D}/EW05m-t0-perc50-6.H ${D}/EW05m-t0-perc50-8.H ${D}/EW05m-t0-perc50-10.H ${D}/EW05m-t0-perc50-12.H ${D}/EW05m-t0-perc50-14.H ${D}/EW05m-t0-perc50-16.H ${D}/EW05m-t0-perc50-18.H ${D}/EW05m-t0-perc50-20.H ${D}/EW05m-t0-perc50-22.H ${D}/EW05m-t0-perc50-24.H ${D}/EW05m-t0-perc50-26.H ${D}/EW05m-t0-perc50-28.H ${D}/EW05m-t0-perc50-30.H ${D}/EW05m-t0-perc50-testlags.H ${D}/deconEW05m-t0-perc50-testlags.H
	 make ${D}/EW05m-t0-perc50-2.H tlag=2
	 make ${D}/EW05m-t0-perc50-4.H tlag=4
	 make ${D}/EW05m-t0-perc50-6.H tlag=6
	 make ${D}/EW05m-t0-perc50-8.H tlag=8
	 make ${D}/EW05m-t0-perc50-10.H tlag=10
	 make ${D}/EW05m-t0-perc50-12.H tlag=12
	 make ${D}/EW05m-t0-perc50-14.H tlag=14
	 make ${D}/EW05m-t0-perc50-16.H tlag=16
	 make ${D}/EW05m-t0-perc50-18.H tlag=18
	 make ${D}/EW05m-t0-perc50-20.H tlag=20
	 make ${D}/EW05m-t0-perc50-22.H tlag=22
	 make ${D}/EW05m-t0-perc50-24.H tlag=24
	 make ${D}/EW05m-t0-perc50-26.H tlag=26
	 make ${D}/EW05m-t0-perc50-28.H tlag=28
	 make ${D}/EW05m-t0-perc50-30.H tlag=30
	 Merge ${D}/EW05m-t0-perc50-2.H ${D}/EW05m-t0-perc50-4.H ${D}/EW05m-t0-perc50-6.H ${D}/EW05m-t0-perc50-8.H ${D}/EW05m-t0-perc50-10.H ${D}/EW05m-t0-perc50-12.H ${D}/EW05m-t0-perc50-14.H ${D}/EW05m-t0-perc50-16.H ${D}/EW05m-t0-perc50-18.H ${D}/EW05m-t0-perc50-20.H ${D}/EW05m-t0-perc50-22.H ${D}/EW05m-t0-perc50-24.H ${D}/EW05m-t0-perc50-26.H ${D}/EW05m-t0-perc50-28.H ${D}/EW05m-t0-perc50-30.H axis=3 space=n > ${D}/EW05m-t0-perc50-testlags.H
	echo "o3=2" >> ${D}/EW05m-t0-perc50-testlags.H
	echo "d3=2" >> ${D}/EW05m-t0-perc50-testlags.H
	 Merge ${D}/EW05_mid.H ${D}/deconEW05m-t0-perc50-2.H ${D}/deconEW05m-t0-perc50-4.H ${D}/deconEW05m-t0-perc50-6.H ${D}/deconEW05m-t0-perc50-8.H ${D}/deconEW05m-t0-perc50-10.H ${D}/deconEW05m-t0-perc50-12.H ${D}/deconEW05m-t0-perc50-14.H ${D}/deconEW05m-t0-perc50-16.H ${D}/deconEW05m-t0-perc50-18.H ${D}/deconEW05m-t0-perc50-20.H ${D}/deconEW05m-t0-perc50-22.H ${D}/deconEW05m-t0-perc50-24.H ${D}/deconEW05m-t0-perc50-26.H ${D}/deconEW05m-t0-perc50-28.H ${D}/deconEW05m-t0-perc50-30.H axis=3 space=n > ${D}/deconEW05m-t0-perc50-testlags.H
	echo "o3=0" >> ${D}/deconEW05m-t0-perc50-testlags.H
	echo "d3=2" >> ${D}/deconEW05m-t0-perc50-testlags.H

${R}/EW05m-perc50-testlags.v: ${D}/EW05m-t0-perc50-testlags.H ${D}/EW05m-t2-perc50-testlags.H
	Merge ${D}/EW05m-t0-perc50-testlags.H ${D}/EW05m-t2-perc50-testlags.H axis=2 space=n | Graph min1=-0.4 max1=0.4 min2=-2 max2=2 title="middle offset shot waveform by lags" legend=y curvelabel="gain before decon:gain after decon" out=$@ > ${dn}

${R}/deconEW05m-t0-perc50-testlags.v: ${D}/deconEW05m-t0-perc50-testlags.H
	Grey < ${D}/deconEW05m-t0-perc50-testlags.H title="gain before decon of middle offset by lags" label1="time (sec)" label2="surface location (m)"  gainpanel=e out=$@ > ${dn}

${R}/deconEW05m-t2-perc50-testlags.v: ${D}/deconEW05m-t2-perc50-testlags.H
	Grey < ${D}/deconEW05m-t0-perc50-testlags.H title="gain after decon of middle offset by lags" label1="time (sec)" label2="surface location (m)"  gainpanel=e out=$@ > ${dn}

######################
# long offset
######################
decon_EW05l_t2_testlags:
	 Rm ${D}/EW05l-t2-perc50-2.H ${D}/EW05l-t2-perc50-4.H ${D}/EW05l-t2-perc50-6.H ${D}/EW05l-t2-perc50-8.H ${D}/EW05l-t2-perc50-10.H ${D}/EW05l-t2-perc50-12.H ${D}/EW05l-t2-perc50-14.H ${D}/EW05l-t2-perc50-16.H ${D}/EW05l-t2-perc50-18.H ${D}/EW05l-t2-perc50-20.H ${D}/EW05l-t2-perc50-22.H ${D}/EW05l-t2-perc50-24.H ${D}/EW05l-t2-perc50-26.H ${D}/EW05l-t2-perc50-28.H ${D}/EW05l-t2-perc50-30.H ${D}/EW05l-t2-perc50-testlags.H ${D}/deconEW05l-t2-perc50-testlags.H
	 make ${D}/EW05l-t2-perc50-2.H tlag=2
	 make ${D}/EW05l-t2-perc50-4.H tlag=4
	 make ${D}/EW05l-t2-perc50-6.H tlag=6
	 make ${D}/EW05l-t2-perc50-8.H tlag=8
	 make ${D}/EW05l-t2-perc50-10.H tlag=10
	 make ${D}/EW05l-t2-perc50-12.H tlag=12
	 make ${D}/EW05l-t2-perc50-14.H tlag=14
	 make ${D}/EW05l-t2-perc50-16.H tlag=16
	 make ${D}/EW05l-t2-perc50-18.H tlag=18
	 make ${D}/EW05l-t2-perc50-20.H tlag=20
	 make ${D}/EW05l-t2-perc50-22.H tlag=22
	 make ${D}/EW05l-t2-perc50-24.H tlag=24
	 make ${D}/EW05l-t2-perc50-26.H tlag=26
	 make ${D}/EW05l-t2-perc50-28.H tlag=28
	 make ${D}/EW05l-t2-perc50-30.H tlag=30
	 Merge ${D}/EW05l-t2-perc50-2.H ${D}/EW05l-t2-perc50-4.H ${D}/EW05l-t2-perc50-6.H ${D}/EW05l-t2-perc50-8.H ${D}/EW05l-t2-perc50-10.H ${D}/EW05l-t2-perc50-12.H ${D}/EW05l-t2-perc50-14.H ${D}/EW05l-t2-perc50-16.H ${D}/EW05l-t2-perc50-18.H ${D}/EW05l-t2-perc50-20.H ${D}/EW05l-t2-perc50-22.H ${D}/EW05l-t2-perc50-24.H ${D}/EW05l-t2-perc50-26.H ${D}/EW05l-t2-perc50-28.H ${D}/EW05l-t2-perc50-30.H axis=3 space=n > ${D}/EW05l-t2-perc50-testlags.H
	echo "o3=2" >> ${D}/EW05l-t2-perc50-testlags.H
	echo "d3=2" >> ${D}/EW05l-t2-perc50-testlags.H
	 Merge ${D}/EW05_long.H ${D}/deconEW05l-t2-perc50-2.H ${D}/deconEW05l-t2-perc50-4.H ${D}/deconEW05l-t2-perc50-6.H ${D}/deconEW05l-t2-perc50-8.H ${D}/deconEW05l-t2-perc50-10.H ${D}/deconEW05l-t2-perc50-12.H ${D}/deconEW05l-t2-perc50-14.H ${D}/deconEW05l-t2-perc50-16.H ${D}/deconEW05l-t2-perc50-18.H ${D}/deconEW05l-t2-perc50-20.H ${D}/deconEW05l-t2-perc50-22.H ${D}/deconEW05l-t2-perc50-24.H ${D}/deconEW05l-t2-perc50-26.H ${D}/deconEW05l-t2-perc50-28.H ${D}/deconEW05l-t2-perc50-30.H axis=3 space=n > ${D}/deconEW05l-t2-perc50-testlags.H
	echo "o3=0" >> ${D}/deconEW05l-t2-perc50-testlags.H
	echo "d3=2" >> ${D}/deconEW05l-t2-perc50-testlags.H

decon_EW05l_t0_testlags:
	 Rm ${D}/EW05l-t0-perc50-2.H ${D}/EW05l-t0-perc50-4.H ${D}/EW05l-t0-perc50-6.H ${D}/EW05l-t0-perc50-8.H ${D}/EW05l-t0-perc50-10.H ${D}/EW05l-t0-perc50-12.H ${D}/EW05l-t0-perc50-14.H ${D}/EW05l-t0-perc50-16.H ${D}/EW05l-t0-perc50-18.H ${D}/EW05l-t0-perc50-20.H ${D}/EW05l-t0-perc50-22.H ${D}/EW05l-t0-perc50-24.H ${D}/EW05l-t0-perc50-26.H ${D}/EW05l-t0-perc50-28.H ${D}/EW05l-t0-perc50-30.H ${D}/EW05l-t0-perc50-testlags.H ${D}/deconEW05l-t0-perc50-testlags.H
	 make ${D}/EW05l-t0-perc50-2.H tlag=2
	 make ${D}/EW05l-t0-perc50-4.H tlag=4
	 make ${D}/EW05l-t0-perc50-6.H tlag=6
	 make ${D}/EW05l-t0-perc50-8.H tlag=8
	 make ${D}/EW05l-t0-perc50-10.H tlag=10
	 make ${D}/EW05l-t0-perc50-12.H tlag=12
	 make ${D}/EW05l-t0-perc50-14.H tlag=14
	 make ${D}/EW05l-t0-perc50-16.H tlag=16
	 make ${D}/EW05l-t0-perc50-18.H tlag=18
	 make ${D}/EW05l-t0-perc50-20.H tlag=20
	 make ${D}/EW05l-t0-perc50-22.H tlag=22
	 make ${D}/EW05l-t0-perc50-24.H tlag=24
	 make ${D}/EW05l-t0-perc50-26.H tlag=26
	 make ${D}/EW05l-t0-perc50-28.H tlag=28
	 make ${D}/EW05l-t0-perc50-30.H tlag=30
	 Merge ${D}/EW05l-t0-perc50-2.H ${D}/EW05l-t0-perc50-4.H ${D}/EW05l-t0-perc50-6.H ${D}/EW05l-t0-perc50-8.H ${D}/EW05l-t0-perc50-10.H ${D}/EW05l-t0-perc50-12.H ${D}/EW05l-t0-perc50-14.H ${D}/EW05l-t0-perc50-16.H ${D}/EW05l-t0-perc50-18.H ${D}/EW05l-t0-perc50-20.H ${D}/EW05l-t0-perc50-22.H ${D}/EW05l-t0-perc50-24.H ${D}/EW05l-t0-perc50-26.H ${D}/EW05l-t0-perc50-28.H ${D}/EW05l-t0-perc50-30.H axis=3 space=n > ${D}/EW05l-t0-perc50-testlags.H
	echo "o3=2" >> ${D}/EW05l-t0-perc50-testlags.H
	echo "d3=2" >> ${D}/EW05l-t0-perc50-testlags.H
	 Merge ${D}/EW05_long.H ${D}/deconEW05l-t0-perc50-2.H ${D}/deconEW05l-t0-perc50-4.H ${D}/deconEW05l-t0-perc50-6.H ${D}/deconEW05l-t0-perc50-8.H ${D}/deconEW05l-t0-perc50-10.H ${D}/deconEW05l-t0-perc50-12.H ${D}/deconEW05l-t0-perc50-14.H ${D}/deconEW05l-t0-perc50-16.H ${D}/deconEW05l-t0-perc50-18.H ${D}/deconEW05l-t0-perc50-20.H ${D}/deconEW05l-t0-perc50-22.H ${D}/deconEW05l-t0-perc50-24.H ${D}/deconEW05l-t0-perc50-26.H ${D}/deconEW05l-t0-perc50-28.H ${D}/deconEW05l-t0-perc50-30.H axis=3 space=n > ${D}/deconEW05l-t0-perc50-testlags.H
	echo "o3=0" >> ${D}/deconEW05l-t0-perc50-testlags.H
	echo "d3=2" >> ${D}/deconEW05l-t0-perc50-testlags.H

${R}/EW05l-perc50-testlags.v: ${D}/EW05l-t0-perc50-testlags.H ${D}/EW05l-t2-perc50-testlags.H
	Merge ${D}/EW05l-t0-perc50-testlags.H ${D}/EW05l-t2-perc50-testlags.H axis=2 space=n | Graph min1=-0.4 max1=0.4 min2=-2 max2=2 title="far offset shot waveform by lags" legend=y curvelabel="gain before decon:gain after decon" out=$@ > ${dn}

${R}/deconEW05l-t0-perc50-testlags.v: ${D}/deconEW05l-t0-perc50-testlags.H
	Grey < ${D}/deconEW05l-t0-perc50-testlags.H title="gain before decon of far offset by lags" label1="time (sec)" label2="surface location (m)"  gainpanel=e out=$@ > ${dn}

${R}/deconEW05l-t2-perc50-testlags.v: ${D}/deconEW05l-t2-perc50-testlags.H
	Grey < ${D}/deconEW05l-t0-perc50-testlags.H title="gain after decon of far offset by lags" label1="time (sec)" label2="surface location (m)"  gainpanel=e out=$@ > ${dn}

######################
# short offset group
######################
decon_EW05g_t2_testlags:
	 Rm ${D}/EW05g-t2-perc50-2.H ${D}/EW05g-t2-perc50-4.H ${D}/EW05g-t2-perc50-6.H ${D}/EW05g-t2-perc50-8.H ${D}/EW05g-t2-perc50-10.H ${D}/EW05g-t2-perc50-12.H ${D}/EW05g-t2-perc50-14.H ${D}/EW05g-t2-perc50-16.H ${D}/EW05g-t2-perc50-18.H ${D}/EW05g-t2-perc50-20.H ${D}/EW05g-t2-perc50-22.H ${D}/EW05g-t2-perc50-24.H ${D}/EW05g-t2-perc50-26.H ${D}/EW05g-t2-perc50-28.H ${D}/EW05g-t2-perc50-30.H ${D}/EW05g-t2-perc50-testlags.H ${D}/deconEW05g-t2-perc50-testlags.H
	 make ${D}/EW05g-t2-perc50-2.H tlag=2 &
	 make ${D}/EW05g-t2-perc50-4.H tlag=4 &
	 make ${D}/EW05g-t2-perc50-6.H tlag=6 &
	 make ${D}/EW05g-t2-perc50-8.H tlag=8 &
	 make ${D}/EW05g-t2-perc50-10.H tlag=10 &
	 make ${D}/EW05g-t2-perc50-12.H tlag=12 &
	 make ${D}/EW05g-t2-perc50-14.H tlag=14 &
	 make ${D}/EW05g-t2-perc50-16.H tlag=16 &
	 make ${D}/EW05g-t2-perc50-18.H tlag=18 &
	 make ${D}/EW05g-t2-perc50-20.H tlag=20 &
	 make ${D}/EW05g-t2-perc50-22.H tlag=22 &
	 make ${D}/EW05g-t2-perc50-24.H tlag=24
	 make ${D}/EW05g-t2-perc50-26.H tlag=26
	 make ${D}/EW05g-t2-perc50-28.H tlag=28
	 make ${D}/EW05g-t2-perc50-30.H tlag=30
	 Merge ${D}/EW05g-t2-perc50-2.H ${D}/EW05g-t2-perc50-4.H ${D}/EW05g-t2-perc50-6.H ${D}/EW05g-t2-perc50-8.H ${D}/EW05g-t2-perc50-10.H ${D}/EW05g-t2-perc50-12.H ${D}/EW05g-t2-perc50-14.H ${D}/EW05g-t2-perc50-16.H ${D}/EW05g-t2-perc50-18.H ${D}/EW05g-t2-perc50-20.H ${D}/EW05g-t2-perc50-22.H ${D}/EW05g-t2-perc50-24.H ${D}/EW05g-t2-perc50-26.H ${D}/EW05g-t2-perc50-28.H ${D}/EW05g-t2-perc50-30.H axis=3 space=n > ${D}/EW05g-t2-perc50-testlags.H
	echo "o3=2" >> ${D}/EW05g-t2-perc50-testlags.H
	echo "d3=2" >> ${D}/EW05g-t2-perc50-testlags.H
	 Merge ${D}/EW05_short.H ${D}/deconEW05g-t2-perc50-2.H ${D}/deconEW05g-t2-perc50-4.H ${D}/deconEW05g-t2-perc50-6.H ${D}/deconEW05g-t2-perc50-8.H ${D}/deconEW05g-t2-perc50-10.H ${D}/deconEW05g-t2-perc50-12.H ${D}/deconEW05g-t2-perc50-14.H ${D}/deconEW05g-t2-perc50-16.H ${D}/deconEW05g-t2-perc50-18.H ${D}/deconEW05g-t2-perc50-20.H ${D}/deconEW05g-t2-perc50-22.H ${D}/deconEW05g-t2-perc50-24.H ${D}/deconEW05g-t2-perc50-26.H ${D}/deconEW05g-t2-perc50-28.H ${D}/deconEW05g-t2-perc50-30.H axis=3 space=n > ${D}/deconEW05g-t2-perc50-testlags.H
	echo "o3=0" >> ${D}/deconEW05g-t2-perc50-testlags.H
	echo "d3=2" >> ${D}/deconEW05g-t2-perc50-testlags.H

decon_EW05g_t0_testlags:
	 Rm ${D}/EW05g-t0-perc50-2.H ${D}/EW05g-t0-perc50-4.H ${D}/EW05g-t0-perc50-6.H ${D}/EW05g-t0-perc50-8.H ${D}/EW05g-t0-perc50-10.H ${D}/EW05g-t0-perc50-12.H ${D}/EW05g-t0-perc50-14.H ${D}/EW05g-t0-perc50-16.H ${D}/EW05g-t0-perc50-18.H ${D}/EW05g-t0-perc50-20.H ${D}/EW05g-t0-perc50-22.H ${D}/EW05g-t0-perc50-24.H ${D}/EW05g-t0-perc50-26.H ${D}/EW05g-t0-perc50-28.H ${D}/EW05g-t0-perc50-30.H ${D}/EW05g-t0-perc50-testlags.H ${D}/deconEW05g-t0-perc50-testlags.H
	 make ${D}/EW05g-t0-perc50-2.H tlag=2 &
	 make ${D}/EW05g-t0-perc50-4.H tlag=4 &
	 make ${D}/EW05g-t0-perc50-6.H tlag=6 &
	 make ${D}/EW05g-t0-perc50-8.H tlag=8 &
	 make ${D}/EW05g-t0-perc50-10.H tlag=10 &
	 make ${D}/EW05g-t0-perc50-12.H tlag=12 &
	 make ${D}/EW05g-t0-perc50-14.H tlag=14 &
	 make ${D}/EW05g-t0-perc50-16.H tlag=16 &
	 make ${D}/EW05g-t0-perc50-18.H tlag=18 &
	 make ${D}/EW05g-t0-perc50-20.H tlag=20 &
	 make ${D}/EW05g-t0-perc50-22.H tlag=22 &
	 make ${D}/EW05g-t0-perc50-24.H tlag=24  
	 make ${D}/EW05g-t0-perc50-26.H tlag=26 
	 make ${D}/EW05g-t0-perc50-28.H tlag=28 
	 make ${D}/EW05g-t0-perc50-30.H tlag=30 
	 Merge ${D}/EW05g-t0-perc50-2.H ${D}/EW05g-t0-perc50-4.H ${D}/EW05g-t0-perc50-6.H ${D}/EW05g-t0-perc50-8.H ${D}/EW05g-t0-perc50-10.H ${D}/EW05g-t0-perc50-12.H ${D}/EW05g-t0-perc50-14.H ${D}/EW05g-t0-perc50-16.H ${D}/EW05g-t0-perc50-18.H ${D}/EW05g-t0-perc50-20.H ${D}/EW05g-t0-perc50-22.H ${D}/EW05g-t0-perc50-24.H ${D}/EW05g-t0-perc50-26.H ${D}/EW05g-t0-perc50-28.H ${D}/EW05g-t0-perc50-30.H axis=3 space=n > ${D}/EW05g-t0-perc50-testlags.H
	echo "o3=2" >> ${D}/EW05g-t0-perc50-testlags.H
	echo "d3=2" >> ${D}/EW05g-t0-perc50-testlags.H
	 Merge ${D}/EW05_short.H ${D}/deconEW05g-t0-perc50-2.H ${D}/deconEW05g-t0-perc50-4.H ${D}/deconEW05g-t0-perc50-6.H ${D}/deconEW05g-t0-perc50-8.H ${D}/deconEW05g-t0-perc50-10.H ${D}/deconEW05g-t0-perc50-12.H ${D}/deconEW05g-t0-perc50-14.H ${D}/deconEW05g-t0-perc50-16.H ${D}/deconEW05g-t0-perc50-18.H ${D}/deconEW05g-t0-perc50-20.H ${D}/deconEW05g-t0-perc50-22.H ${D}/deconEW05g-t0-perc50-24.H ${D}/deconEW05g-t0-perc50-26.H ${D}/deconEW05g-t0-perc50-28.H ${D}/deconEW05g-t0-perc50-30.H axis=3 space=n > ${D}/deconEW05g-t0-perc50-testlags.H
	echo "o3=0" >> ${D}/deconEW05g-t0-perc50-testlags.H
	echo "d3=2" >> ${D}/deconEW05g-t0-perc50-testlags.H

${R}/EW05g-perc50-testlags.v: ${D}/EW05g-t0-perc50-testlags.H ${D}/EW05g-t2-perc50-testlags.H
	Merge ${D}/EW05g-t0-perc50-testlags.H ${D}/EW05g-t2-perc50-testlags.H axis=2 space=n | Graph min1=-0.4 max1=0.4 min2=-2 max2=2 title="near offset group shot waveform by lags" legend=y curvelabel="gain before decon:gain after decon" out=$@ > ${dn}

${R}/deconEW05g-t0-perc50-testlags.v: ${D}/deconEW05g-t0-perc50-testlags.H
	Grey < ${D}/deconEW05g-t0-perc50-testlags.H title="gain before decon of near offset group by lags" label1="time (sec)" label2="surface location (m)"  gainpanel=e out=$@ > ${dn}

${R}/deconEW05g-t2-perc50-testlags.v: ${D}/deconEW05g-t2-perc50-testlags.H
	Grey < ${D}/deconEW05g-t0-perc50-testlags.H title="gain after decon of near offset group by lags" label1="time (sec)" label2="surface location (m)"  gainpanel=e out=$@ > ${dn}

allEW05g:
	make decon_EW05g_t0_testlags
	make decon_EW05g_t2_testlags
	make fig/EW05g-perc50-testlags.v
	make fig/deconEW05g-t0-perc50-testlags.v
	make fig/deconEW05g-t2-perc50-testlags.v

#===============================================
# look at the spectrum from one shot (f3=1350)
${D}/EW05_shot1350.H: ${EW05}
	Window3d < $< min2=-3000 n3=1 min3=-1000 > $@
	#Window3d < $< min2=-3000 n3=1 min3=-44000 > $@

${D}/EW05_ft.H: ${D}/EW05_shot1350.H
	Rtoc < $< | Ft3d sign1=-1 sign2=0 | Cabs | Window3d max1=125 > $@

${D}/EW05_fk.H: ${D}/EW05_shot1350.H
	Pad < $< n2out=512 | Rtoc | Ft3d maxsize=200000000 sign1=-1 sign2=-1 center2=1 | Cabs | Window3d max1=125 > $@

${D}/EW05_nmo.H: ${D}/EW05_shot1350.H
	Nmo3d < $< vel=1500 maxsize=20000 > $@

${D}/EW05_nmo_ft.H: ${D}/EW05_nmo.H
	Rtoc < $< | Ft3d sign1=-1 sign2=0 | Cabs | Window3d max1=125 > $@

${D}/EW05_nmo_fk.H: ${D}/EW05_nmo.H
	Pad < $< n2out=512 | Rtoc | Ft3d maxsize=200000000 sign1=-1 sign2=-1 center2=1 | Cabs | Window3d max1=125 > $@

# figures
${R}/EW05_shot1350.v: ${D}/EW05_shot1350.H
	Grey < $< title="shot 1350" label1="time (sec)" label2="X (m)" max1=4 out=$@ > ${dn}

${R}/EW05_ft.v: ${D}/EW05_ft.H
	Grey < $< color=j newclip=1 title="FT shot 1350" label1="freq (Hz)" label2="X (m)" out=$@ > ${dn}

${R}/EW05_fk.v: ${D}/EW05_fk.H
	Grey < $< color=j newclip=1 title="FK shot 1350" label1="freq (Hz)" label2="wavenumber (1/m)" out=$@ > ${dn}

${R}/EW05_nmo.v: ${D}/EW05_nmo.H
	Grey < $< title="NMO with vel=water of shot 1350" label1="time (sec)" label2="X (m)" max1=4 out=$@ > ${dn}

${R}/EW05_nmo_ft.v: ${D}/EW05_nmo_ft.H
	Grey < $< color=j newclip=1 title="FT of NMO of shot 1350" label1="freq (Hz)" label2="X (m)" out=$@ > ${dn}

${R}/EW05_nmo_fk.v: ${D}/EW05_nmo_fk.H
	Grey < $< color=j newclip=1 title="FK of NMO of shot 1350" label1="freq (Hz)" label2="wavenumber (1/m)" out=$@ > ${dn}

${R}/EW05-bubblespec.v: ${D}/EW05_shot1350.H
	Window3d < $< min2=-190 n2=1 max1=0.6 | Graph labelsz=6 title="direct arrival" label1="time (sec)" label2="Amplitude (millivolt)" out=fig/EW05-bubble.v > ${dn}
	Window3d < $< min2=-190 n2=1 max1=0.6 | Spectra | Log | Graph grid=y o1num=6.5 d1num=13 labelsz=6 title="log spectrum of direct arrival" label2="log amplitude" label1="Frequency (Hz)" out=$@ > ${dn}

${R}/EW05-notch.v: ${D}/EW05_shot1350.H
	Window3d < $< min2=-300 n2=1 min1=0.6 max1=3 | Spectra | Log | Graph grid=y d1num=10 labelsz=6 title="log spectrum of primary reflection" label2="log amplitude" label1="Frequency (Hz)" out=$@ > ${dn}

shot1350_spectra: ${R}/EW05_shot1350.v ${R}/EW05_ft.v ${R}/EW05_fk.v ${R}/EW05_nmo.v ${R}/EW05_nmo_ft.v ${R}/EW05_nmo_fk.v
	Rm ${D}/EW05_shot1350.H ${D}/EW05_ft.H ${D}/EW05_fk.H ${D}/EW05_nmo_ft.H ${D}/EW05_nmo_fk.H
	make ${D}/EW05_shot1350.H ${D}/EW05_ft.H ${D}/EW05_fk.H ${D}/EW05_nmo_ft.H ${D}/EW05_nmo_fk.H
	make ${R}/EW05_shot1350.v ${R}/EW05_ft.v ${R}/EW05_fk.v ${R}/EW05_nmo.v ${R}/EW05_nmo_ft.v ${R}/EW05_nmo_fk.v
	vp_SideBySideAniso ${R}/EW05_shot1350.v ${R}/EW05_ft.v ${R}/EW05_fk.v > ${R}/EW05_spectra.v
	vp_SideBySideAniso ${R}/EW05_nmo.v ${R}/EW05_nmo_ft.v ${R}/EW05_nmo_fk.v > ${R}/EW05_nmo_spectra.v
	vp_Movie ${R}/EW05_spectra.v ${R}/EW05_nmo_spectra.v > ${R}/EW05_spectra.v3

