L = $(tlag)
ifndef L
    L = 12 
endif

VERB=0

synthpow = 0.


# eps is the symmetry regularization, eps1 is the late-lag regularization
eps_synth = eps=6e-1 eps1=6e-1 lagramp=6 #tlimit=0.17

# make synthetic wavelet with zero frequency
#${D}/synth_trace.H:
#	Spike n1=256 d1=0.004 k1=126 | Scale rscale=-1.0 > ${D}/w1.H
#	Spike n1=256 d1=0.004 k1=129 | Scale rscale=2.0 > ${D}/w2.H
#	Spike n1=256 d1=0.004 k1=132 | Scale rscale=-0.99 > ${D}/w3.H
#	Vel n1=256 n2=1 n3=1 o1=0. o2=0. o3=0. d1=0.004 d2=1. d3=1. vc=0.0001 > ${D}/w4.H
#	Add ${D}/w1.H ${D}/w2.H ${D}/w3.H ${D}/w4.H > $@
#	Rm ${D}/w[0-9].H

# make synthetic wavelet without zero frequency
${D}/synth_trace.H:
	Spike n1=256 d1=0.004 k1=126 | Scale rscale=-1.0 > ${D}/w1.H
	Spike n1=256 d1=0.004 k1=129 | Scale rscale=2.0 > ${D}/w2.H
	Spike n1=256 d1=0.004 k1=132 | Scale rscale=-0.99 > ${D}/w3.H
	Add ${D}/w1.H ${D}/w2.H ${D}/w3.H > $@
	Rm ${D}/w[0-9].H

${R}/synth-trace.v: ${D}/synth_trace.H
	Graph < $< min2=-1 max2=2 title=" " label1="time (sec)" label2=" " plotfat=4 out=$@ > ${dn}

#=====================================================


#==================================
# run decon 
#==================================

# synthetic trace
${D}/synth-t0-${L}.H: ${D}/synth_trace.H ${WAVELETCOMP}
	${LOGDECOBFGS} < $< niter=300  percentile=50 t2=0 ${eps_synth} lag=${L} \
	filter=${D}/fltsynth-t0-${L}.H verb=${VERB} > ${D}/deconsynth-t0-${L}.H
	${WAVELETCOMP} < ${D}/fltsynth-t0-${L}.H > $@

${R}/synth-t0.v: ${D}/synth-t0-${L}.H
	Graph < $< min2=-1 max2=2 title=" " label1="time (sec)" label2=" " plotfat=4 out=$@ > ${dn}

${R}/deconsynth-t0.v: ${D}/deconsynth-t0-${L}.H
	Graph < $< min2=-1 max2=2 title=" " label1="time (sec)" label2=" " plotfat=4 out=$@ > ${dn}

${R}/spec-synth-trace.v: ${D}/synth_trace.H
	Spectra < $< | Graph title=" " min2=0 max2=0.25 label1="frequency" label2="Amplitude" plotfat=4 out=$@ > ${dn}

${R}/spec-synth-t0.v: ${D}/synth-t0-${L}.H
	Spectra < $< | Graph title=" " min2=0 max2=0.25 label1="frequency" label2="Amplitude" plotfat=4 out=$@ > ${dn}

${R}/spec-deconsynth-t0.v: ${D}/deconsynth-t0-${L}.H
	Spectra < $< | Graph title=" " min2=0 max2=0.25 label1="frequency" label2="Amplitude" plotfat=4 out=$@ > ${dn}

synth:
	make ${D}/synth_trace.H
	make ${D}/synth-t0-${L}.H tlag=14
	make ${R}/synth-trace.v ${R}/synth-t0.v ${R}/deconsynth-t0.v ${R}/spec-synth-trace.v ${R}/spec-synth-t0.v ${R}/spec-deconsynth-t0.v tlag=14
	make ${R}/synth-trace.pdf ${R}/synth-t0.pdf ${R}/deconsynth-t0.pdf ${R}/spec-synth-trace.pdf ${R}/spec-synth-t0.pdf ${R}/spec-deconsynth-t0.pdf tlag=14
	rm ${R}/*.ps ${R}/*.v
	
