! Scale and clip some traces

program ScaleAndClip

	use sep
	implicit none

	
	real, allocatable, dimension (:,:)	:: data
	integer								:: esize, n1, scale

	call initpar()

	call from_history ("esize", esize)
	call from_history ("n1", n1)
	call from_param   ('scale', scale, 11)

	allocate (data (n1, 2))
	data = 0.

	call sreed ('in', data, esize*n1*2)
	call doit (n1, data, esize, scale)
	call srite ('out', data, esize*n1*2)

end program ScaleAndClip

subroutine doit (n1, data, esize, scale)
	integer			:: n1, esize, scale
	integer			:: i1, i2
	real			:: big
	real			:: data (n1,2)

	big=0


	do i1 = 1, n1
		if (abs (data (i1, 1)) > big) then
			big = abs (data (i1, 1))
		end if
	end do

	do i2 = 1, 2
		do i1 = 1, n1
			data (i1, i2) = data (i1, i2) * scale
		end do
	end do

	do i2 = 1, 2
		do i1 = 1, n1
			if (data (i1, i2) > big) then
				data (i1, i2) = big
			end if
			if (data (i1, i2) < -big) then
				data (i1, i2) = -big
			end if
		end do
	end do

end subroutine
